" Vim syntax file
" Language:	MotD Public
" Maintainer:	David Bushong <david@bushong.net>

" For version 5.x: Clear all syntax items
" For version 6.x: Quit when a syntax file was already loaded
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn match motdSig    "\(\s\s\+\|\t\)--\?.\+$\|\s--\?\w\+\s*$"
syn match motdThread "^\s\+\\[_-]"
syn match motdDate   "^\d\+/\d\+\s"
syn match motdLink   "https\?://\S\+"

hi link motdSig    String
hi link motdThread Type
hi link motdDate   Number
hi link motdLink   Underlined

let b:current_syntax = "motd"
